<template>
  <v-text-field
    v-bind="$attrs"
    :label="$t('label', { requiredFlag: '*' })"
    prepend-icon="mdi-domain"
    :rules="rules"
    v-on="$listeners"
  />
</template>

<script>
  import { required, minLength, maxLength } from '@/lib/validators'

  export default {
    name: 'CompanyField',
    data () {
      return {
        rules: [required, minLength(2), maxLength(64)],
      }
    },
    i18n: {
      messages: {
        'pt-BR': {
          label: 'Empresa{requiredFlag}',
        },
        'en-US': {
          label: 'Company{requiredFlag}',
        },
      },
    },
  }
</script>
